package sun.security.jgss.wrapper;

import javax.security.auth.kerberos.ServicePermission;
import org.ietf.jgss.GSSException;

class Krb5Util
{
    Krb5Util() {
    }
    
    static String getTGSName(GSSNameElement gssNameElement) throws GSSException {
        String krbName = gssNameElement.getKrbName();
        String substring = krbName.substring(krbName.indexOf("@") + 1);
        StringBuffer sb = new StringBuffer("krbtgt/");
        sb.append(substring).append('@').append(substring);
        return sb.toString();
    }
    
    static void checkServicePermission(String s, String s2) {
        SecurityManager securityManager = System.getSecurityManager();
        if (securityManager != null) {
            SunNativeProvider.debug("Checking ServicePermission(" + s + ", " + s2 + ")");
            securityManager.checkPermission(new ServicePermission(s, s2));
        }
    }
}
